.cuamm-cart-page-wrapper .cuamm-page-title {
    text-align: center;
    color: var(--color-primary);
    margin-bottom: 90px;
}

.wc-empty-cart-message .woocommerce-info.notice-notification{
    background-color: #d1ecf1;
    color: #0c5460;
    border-top: 0;
    border-top-color: unset;
    font-family: var(--typo-text-middle-regular-font);
    font-size: var(--typo-text-middle-regular-fs);
    font-weight: var(--typo-text-middle-regular-fw);
    line-height: var(--typo-text-middle-regular-lh);
    letter-spacing: var(--typo-text-middle-regular-ls);
    border-radius: .25rem;
    padding: .75rem 1.25rem;
}

.cuamm-cart-page-wrapper .woocommerce-message::before,.cuamm-cart-page-wrapper .woocommerce-info::before,.cuamm-cart-page-wrapper .woocommerce-error.error-notification::before  {
    content: none;
}

.cuamm-cart-page-wrapper .woocommerce-notices-wrapper .woocommerce-message, .cuamm-cart-page-wrapper .woocommerce-notices-wrapper .woocommerce-info, .cuamm-cart-page-wrapper .woocommerce-error.error-notification{
    padding: 0.75rem 1.25rem;
    border-top: 0;
    border-top-color: unset;
    font-family: var(--typo-text-middle-regular-font);
    font-size: var(--typo-text-middle-regular-fs);
    font-weight: var(--typo-text-middle-regular-fw);
    line-height: var(--typo-text-middle-regular-lh);
    letter-spacing: var(--typo-text-middle-regular-ls);
    border-radius: .25rem;
}

.woocommerce-error.error-notification{
    background: var(--color-secondary);
    color: var(--color-background-white);
}

.cuamm-cart-page-wrapper .return-to-shop .button.wc-backward {
    color: var(--color-background-white);
    padding: 13px 40px;
    text-decoration: none;
    text-transform: uppercase;
    border: none;
    border-radius: 36px;
    cursor: pointer;
    transition: all 0.3s ease;
	background-color: var(--color-primary);
    font-family: var(--typo-tag-medium-font);
    font-size: var(--typo-tag-size-medium);
    font-weight: var(--typo-tag-medium-fw);
    line-height: var(--typo-tag-medium-lh);
    letter-spacing: var(--typo-tag-medium-ls);
}

.cuamm-cart-page-wrapper {
    padding: 0 60px 80px;
    margin: 0 auto;
}

.hide-on-desktop {
    display: none !important;
}

/* =========================================
   TABELLA PRODOTTI
   ========================================= */

.cuamm-cart-page-wrapper .woocommerce-cart-form__cart-item{
    border-color: 1px solid var(--color-neutral-beige-dark);
}

.cuamm-cart-page-wrapper table.shop_table {
    border: none;
    border-radius: 0;
    margin-bottom: 40px;
}

.cuamm-cart-page-wrapper table.shop_table td {
    padding: 0;
}

.cuamm-cart-page-wrapper table.shop_table th.product-name,.cuamm-cart-page-wrapper table.shop_table th.product-price,.cuamm-cart-page-wrapper table.shop_table th.product-subtotal,.cuamm-cart-page-wrapper table.shop_table th.product-quantity {
    color: var(--color-primary);
    font-family: var(--typo-title-1-font);
    font-size: var(--typo-title-1-size);
    font-weight: var(--typo-title-1-fw);
    line-height: var(--typo-title-1-lh);
    letter-spacing: var(--typo-title-1-ls);
    border: none;
    padding: 0 0 24px;
    letter-spacing: 0.5px;
}

.cuamm-cart-page-wrapper .cart-collaterals table.shop_table td {
    padding: 0;
    vertical-align: middle;
}

.cuamm-cart-page-wrapper table.shop_table tr th,
.cuamm-cart-page-wrapper table.shop_table tr td {
    padding-top: 56px;
    padding-bottom: 24px;
}

.cuamm-cart-page-wrapper table.shop_table tr th {
    vertical-align: bottom;
}

.cuamm-cart-page-wrapper table.shop_table tr td {
    vertical-align: top;
}

.cuamm-cart-page-wrapper table.cart .product-remove {
    width: 40px;
    padding-left: 113px;
    padding-right: 27px;
}

.cuamm-cart-page-wrapper table.cart .product-remove a.remove, .cuamm-cart-page-wrapper .cuamm-cart-item-mobile-group .cuamm-mob-remove a.remove.mobile.basket {
    color: var(--color-background-white);
    background-color: var(--color-primary);
    border-radius: 50%;
    width: 35px;
    height: 35px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    line-height: 1;
}

.cuamm-cart-page-wrapper table.cart .product-remove a.remove:hover {
    background-color: var(--color-secondary);
}

.cuamm-cart-page-wrapper table.cart .product-thumbnail {
    padding-right: 20px;
}

.cuamm-cart-page-wrapper table.cart .product-thumbnail img {
    max-width: 100px;
    border-radius: 4px;
    width: auto;
}

.cuamm-cart-page-wrapper table.cart .product-name a {
    color: var(--color-primary);
    font-family: var(--typo-text-big-bold-font);
    font-size: var(--typo-text-big-size);
    font-weight: var(--typo-text-big-bold-fw);
    line-height: var(--typo-text-big-bold-lh);
    letter-spacing: var(--typo-text-big-bold-ls);
    text-decoration: none;
}

.cuamm-cart-page-wrapper table.cart .product-name .variation {
    font-family: var(--typo-text-medium-font);
    font-size: var(--typo-text-size-medium);
    font-weight: var(--typo-text-medium-fw);
    line-height: var(--typo-text-medium-lh);
    letter-spacing: var(--typo-text-medium-ls);
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 16px;
}

.cuamm-cart-page-wrapper table.cart dl.variation {
    margin-top: 5px;
    color: var(--color-text-black);
}

.cuamm-cart-page-wrapper table.cart dl.variation dt,
.cuamm-cart-page-wrapper table.cart dl.variation dd {
    display: inline-block;
    margin: 0;
    font-weight: normal;
}
.cuamm-cart-page-wrapper table.cart dl.variation p {
    margin-bottom: 0;
    margin-top: 0;
}

/* 4. Prezzo e Subtotale */
.cuamm-cart-page-wrapper table.cart .product-price,
.cuamm-cart-page-wrapper table.cart .product-subtotal {
    font-family: var(--typo-text-medium-font);
  font-size: var(--typo-text-size-medium);
  font-weight: var(--typo-text-medium-fw);
  line-height: var(--typo-text-medium-lh);
  letter-spacing: var(--typo-text-medium-ls);
    color: var(--color-text-black);
}

/* 5. Quantità (Input) */
.cuamm-cart-page-wrapper table.cart .product-quantity .quantity {
    display: inline-flex;
    align-items: center;
    gap: 12px;
}

.cuamm-cart-page-wrapper table.cart .product-quantity .quantity .minus,.cuamm-cart-page-wrapper table.cart .product-quantity .quantity .plus  {
    width: 35px;
    height: 35px;
    background-color: var(--color-primary);
    color: var(--color-background-white);
    border: none;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    transition: background-color 0.2s ease;
}

.cuamm-cart-page-wrapper table.cart .product-quantity input.qty {
    border: none;
    background: transparent;
    width: 50px;
    text-align: center;
    -moz-appearance: textfield;
    border: none;
    font-family: var(--typo-text-big-regular-font);
  font-size: var(--typo-text-big-size-regular);
  font-weight: var(--typo-text-big-regular-fw);
  line-height: var(--typo-text-big-regular-lh);
  letter-spacing: var(--typo-text-big-regular-ls);
    color: var(--color-text-black);
}

.cuamm-cart-page-wrapper table.cart .product-quantity input.qty::-webkit-outer-spin-button,.cuamm-cart-page-wrapper table.cart .product-quantity input.qty::-webkit-inner-spin-button  {
    -webkit-appearance: none;
    margin: 0;
}

/* Contenitore principale a due colonne */
.cart-extra-offers-container {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    border-top: 1px solid var(--color-neutral-beige-dark);
    padding: 24px 0 24px 113px;
}

.cart-extra-offers-container .offer-block {
    flex: 1; /* Le due colonne occupano metà spazio ciascuna */
}

.cart-extra-offers-container .offer-block.donation {
    display: flex;
    justify-content: end;
}

.cart-extra-offers-container .offer-block.donation .container-donation{
    display: flex;
    flex-direction: column;
}

.cart-extra-offers-container .offer-block.donation .container-donation .offer-flex.donazione-flex{
    height: 100%;
}


.cart-extra-offers-container .offer-title {
    margin: 0;
    padding-bottom: 24px;
}

.cuamm-cart-page-wrapper .cart-extra-offers-container .offer-flex {
    display: flex;
    align-items: center;
    gap: 76px;
}

.cuamm-cart-page-wrapper .cart-extra-offers-container .offer-img img {
    max-width: 100px;
    height: auto;
    width: auto;
}

.offer-btn-beige {
    text-decoration: none;
    text-align: center;
    transition: all 0.3s ease;
    display: inline-block;
}

.cart-extra-offers-container .offer-block.donation .donation-qty-controls {
    display: flex;
    align-items: center;
}

.cart-extra-offers-container .offer-block.donation .donation-qty-controls .don-minus,.cart-extra-offers-container .offer-block.donation .donation-qty-controls .don-plus  {
    width: 35px;
    height: 35px;
    background-color: var(--color-primary);
    color: var(--color-background-white);
    border: none;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    transition: background-color 0.2s ease;
}

.cart-extra-offers-container .offer-block.donation .don-input-wrapper {
    display: flex;
    align-items: center;
    font-weight: bold;
    color: var(--color-text-black);
    padding-left: 10px;
    padding-right: 30px;
}

.cart-extra-offers-container .offer-block.donation .don-input-wrapper .container-don-content{
    display: flex;
    align-items: center;
}

.cart-extra-offers-container .offer-block.donation .don-input-wrapper input {
    width: 30px;
    border: none;
    background: transparent;
    text-align: right;
    font-weight: bold;
    padding: 0;
    -moz-appearance: textfield;
    font-family: var(--typo-text-big-regular-font);
  font-size: var(--typo-text-big-size-regular);
  font-weight: var(--typo-text-big-regular-fw);
  line-height: var(--typo-text-big-regular-lh);
  letter-spacing: var(--typo-text-big-regular-ls);
    color: var(--color-text-black);
}

.cart-extra-offers-container .offer-block.donation .don-input-wrapper span {
    font-family: var(--typo-text-big-regular-font);
  font-size: var(--typo-text-big-size-regular);
  font-weight: var(--typo-text-big-regular-fw);
  line-height: var(--typo-text-big-regular-lh);
  letter-spacing: var(--typo-text-big-regular-ls);
    color: var(--color-text-black);
}

.cart-extra-offers-container .offer-block.donation .don-input-wrapper input:focus {
    outline: none;
}

.cart-extra-offers-container .offer-block.donation .don-input-wrapper input::-webkit-outer-spin-button,
.cart-extra-offers-container .offer-block.donation .don-input-wrapper input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}


.cuamm-cart-page-wrapper table.cart td.actions .disclaimer-coupon{
    display: block;
    padding-bottom: 24px;
    text-align: left;
}

.cuamm-cart-page-wrapper table.cart td.actions:has(.container-coupon-update-cart) {
    border-top: 1px solid var(--color-neutral-beige-dark);
    border-bottom: 1px solid var(--color-neutral-beige-dark);
    padding: 24px 0 24px 113px;
}

.cuamm-cart-page-wrapper table.cart td.actions {
    border-top: 1px solid var(--color-neutral-beige-dark);
    padding: 24px 0 24px 113px;
}

.cuamm-cart-page-wrapper table.cart td.actions .container-coupon-update-cart{
    display: flex;
    width: 100%;
    gap: 17px;
    align-items: end;
}

.cuamm-cart-page-wrapper table.cart td.actions .coupon {
    display: flex;
    align-items: end;
    gap: 31px;
    width: 100%;
    justify-content: space-between;
}

.cuamm-cart-page-wrapper table.cart td.actions .coupon label {
    display: none;
}

.cuamm-cart-page-wrapper table.cart td.actions .coupon .container-span-input-coupon {
    display: flex;
    flex-direction: column;
    width: 100%;
    text-align: left;
    gap: 8px;
}

.cuamm-cart-page-wrapper table.cart td.actions .coupon input.input-text {
    background-color: var(--color-neutral-beige-light);
    border: none;
    padding: 13px 16px;
    width: 100%;
    font-family: var(--typo-text-middle-regular-font);
  font-size: var(--typo-text-middle-regular-fs);
  font-weight: var(--typo-text-middle-regular-fw);
  line-height: var(--typo-text-middle-regular-lh);
  letter-spacing: var(--typo-text-middle-regular-ls);
    color: var(--color-neutral-beige-dark);
    border-radius: 0;
}

.cuamm-cart-page-wrapper table.cart td.actions .coupon input.input-text::placeholder {
    font-family: var(--typo-text-middle-regular-font);
  font-size: var(--typo-text-middle-regular-fs);
  font-weight: var(--typo-text-middle-regular-fw);
  line-height: var(--typo-text-middle-regular-lh);
  letter-spacing: var(--typo-text-middle-regular-ls);;
    color: var(--color-neutral-beige-dark);
}

/* Bottone Applica Coupon */
.cuamm-cart-page-wrapper table.cart td.actions .coupon button.button {
    color: var(--color-primary);
    padding: 13px 40px;
    text-decoration: none;
    text-transform: uppercase;
    border: none;
    border-radius: 36px;
    cursor: pointer;
    transition: all 0.3s ease;
	background-color: var(--color-neutral-beige-light);
    font-family: var(--typo-title-2-bold-font);
    font-size: var(--typo-title-2-size);
    font-weight: var(--typo-title-2-bold-fw);
    line-height: var(--typo-title-2-bold-lh);
    letter-spacing: var(--typo-title-2-bold-ls);
}


.cuamm-cart-page-wrapper table.cart td.actions button[name="update_cart"] {
    color: var(--color-background-white);
    padding: 13px 40px;
    text-decoration: none;
    text-transform: uppercase;
    border: none;
    border-radius: 36px;
    cursor: pointer;
    transition: all 0.3s ease;
	background-color: var(--color-primary);
    float: right;
    font-family: var(--typo-title-2-bold-font);
    font-size: var(--typo-title-2-size);
    font-weight: var(--typo-title-2-bold-fw);
    line-height: var(--typo-title-2-bold-lh);
    letter-spacing: var(--typo-title-2-bold-ls);
    width: 30%;
}
.cuamm-cart-page-wrapper table.cart td.actions button[name="update_cart"]:disabled {
    opacity: 0.65;
    cursor: not-allowed;
}

.cuamm-cart-page-wrapper table.cart td.actions button[name="update_cart"]:hover {
    color: var(--color-background-white);
    background-color: var(--color-secondary);
    border-color: var(--color-secondary);
}

/* =========================================
   BOX TOTALI (A destra)
   ========================================= */

.cart-collaterals {
    display: flex;
    justify-content: flex-end; /* Sposta il box a destra */
    margin-top: 40px;
}

.woocommerce-page .cart-collaterals .cart_totals {
    width: 54%;
    border: 1px solid var(--color-neutral-beige-dark);
    padding: 56px 40px;
}

.cuamm-cart-page-wrapper .cart-collaterals .cart_totals table.shop_table tr,
.cuamm-cart-page-wrapper .cart-collaterals .cart_totals table.shop_table th,
.cuamm-cart-page-wrapper .cart-collaterals .cart_totals table.shop_table td {
    border: none;
    border-bottom: none;
    border-top: none;
}

.cuamm-cart-page-wrapper .cart-collaterals .cart_totals table.shop_table th,
.cuamm-cart-page-wrapper .cart-collaterals .cart_totals table.shop_table td {
    padding-top: 16px;
    padding-bottom: 16px; 
    padding-left: 0;
}

.cart-collaterals .cart_totals h2 {
    padding-bottom: 24px;
    border-bottom: none;
    margin: 0;
}

.cuamm-cart-page-wrapper .cart-collaterals .shop_table {
    border: none;
    width: 100%;
}

.cuamm-cart-page-wrapper .cart-collaterals table.shop_table th {
    color: var(--color-primary);
    padding: 15px 0;
    font-family: var(--typo-title-1-font);
    font-size: var(--typo-title-1-size);
    font-weight: var(--typo-title-1-fw);
    line-height: var(--typo-title-1-lh);
    letter-spacing: var(--typo-title-1-ls);
    text-transform: uppercase;
    width: 20%;
}

.cuamm-cart-page-wrapper .cart-collaterals table.shop_table td {
    text-align: left;
}

.cuamm-cart-page-wrapper .cart-collaterals table.shop_table td label {
    font-family: var(--typo-text-regular-font);
  font-size: var(--typo-text-size-regular);
  font-weight: var(--typo-text-regular-fw);
  line-height: var(--typo-text-regular-lh);
  letter-spacing: var(--typo-text-regular-ls);
}

.cuamm-cart-page-wrapper .cart-collaterals table.shop_table td span {
    font-family: var(--typo-text-big-bold-font);
  font-size: var(--typo-text-big-size);
  font-weight: var(--typo-text-big-bold-fw);
  line-height: var(--typo-text-big-bold-lh);
  letter-spacing: var(--typo-text-big-bold-ls);
}

.cart-collaterals .shop_table .order-total th {
    text-align: left;
    padding: 0;
}

.cart-collaterals .shop_table .order-total td {
    padding-top: 20px;
}

.woocommerce-shipping-totals ul#shipping_method {
    list-style: none;
    margin: 0;
    padding: 0;
}

.woocommerce-shipping-totals ul#shipping_method input{
  appearance: none;
  -webkit-appearance: none;
  background-color: var(--color-background-white);
  margin: 0;
  width: 16px;
  height: 16px;
  border: 2px solid var(--color-neutral-beige-medium-dark);
  border-radius: 50%;
  cursor: pointer;
  display: inline-grid;
  place-content: center;
}

.woocommerce-shipping-totals ul#shipping_method input:checked {
  border: 5px solid var(--color-primary);
  background-color: var(--color-background-white);
}


.woocommerce-shipping-totals .woocommerce-shipping-destination, .woocommerce-shipping-totals .woocommerce-shipping-calculator {
    margin-top: 10px;
    font-family: var(--typo-text-small-regular-font);
  font-size: var(--typo-text-small-size-regular);
  font-weight: var(--typo-text-small-regular-fw);
  line-height: var(--typo-text-small-regular-lh);
  letter-spacing: var(--typo-text-small-regular-ls);
    display: none;
}

.cart-collaterals .cart_totals .wc-proceed-to-checkout {
    padding-top: 40px;
    padding-bottom: 0;
    display: flex;
    gap: 20px;
    flex-direction: column;
}

.cart-collaterals .cart_totals .wc-proceed-to-checkout .cuamm-primary-checkout-actions {
    display: flex;
    gap: 40px;
}

.cart-collaterals .cart_totals .wc-proceed-to-checkout .cuamm-secondary-checkout-actions{
    display: flex;
    flex-direction: column;
}

.cart-collaterals .cart_totals .wc-proceed-to-checkout .cuamm-secondary-checkout-actions .ppc-button-wrapper{
    padding-top: 4px;
}

.cart-collaterals .cart_totals .wc-proceed-to-checkout::before,.cart-collaterals .cart_totals .wc-proceed-to-checkout::after  {
    content: none;
}

.cart-collaterals .cart_totals .wc-proceed-to-checkout .checkout-button {
    display: block;
    color: var(--color-background-white);
    padding: 13px 40px;
    text-decoration: none;
    text-transform: uppercase;
    border: none;
    border-radius: 36px;
    cursor: pointer;
    transition: all 0.3s ease;
	background-color: var(--color-primary);
    font-family: var(--typo-title-2-bold-font);
    font-size: var(--typo-title-2-size);
    font-weight: var(--typo-title-2-bold-fw);
    line-height: var(--typo-title-2-bold-lh);
    letter-spacing: var(--typo-title-2-bold-ls);
    margin: 0;
    flex: 1;
}

.cart-collaterals .cart_totals .wc-proceed-to-checkout .checkout-button:hover {
    color: var(--color-background-white);
    background-color: var(--color-secondary);
    border-color: var(--color-secondary);
}

.cart-collaterals .cart_totals .wc-proceed-to-checkout .add-more-gifts-btn{
    color: var(--color-primary);
    padding: 13px 40px;
    text-decoration: none;
    text-transform: uppercase;
    border: none;
    border-radius: 36px;
    cursor: pointer;
    transition: all 0.3s ease;
	background-color: var(--color-neutral-beige-light);
    font-family: var(--typo-title-2-bold-font);
    font-size: var(--typo-title-2-size);
    font-weight: var(--typo-title-2-bold-fw);
    line-height: var(--typo-title-2-bold-lh);
    letter-spacing: var(--typo-title-2-bold-ls);
    text-align: center;
    flex: 1;
}

/* =========================================
   RESPONSIVE (Mobile)
   ========================================= */

@media (max-width: 768px) {

    .hide-on-mobile {
        display: none !important;
    }

    /* 2. Mostriamo gli elementi clonati */
    .hide-on-desktop {
        display: block !important;
    }

    .cuamm-cart-page-wrapper .cuamm-page-title{
        margin-bottom: 10px;
    }

    .cuamm-cart-page-wrapper{
        padding: 40px 20px;
    }

    .cuamm-cart-page-wrapper table.shop_table tr td.product-name{
        display: flex;
    }

    .cuamm-cart-page-wrapper .cuamm-cart-item-mobile-group{
        width: 50%;
        display: flex;
        flex-direction: column;
        justify-content: end;
        align-items: end;
        gap: 24px;
    }

    .cuamm-cart-page-wrapper table.shop_table{
        display: flex;
        flex-direction: column;
        border-top: 1px solid var(--color-neutral-beige-dark);
        border-bottom: 1px solid var(--color-neutral-beige-dark);
    }

    .cuamm-cart-page-wrapper .cuamm-mob-title-wrapper{
        display: flex;
        gap: 27px;
    }

    .woocommerce table.shop_table_responsive tr td, .woocommerce-page table.shop_table_responsive tr td{
        display: flex;
        text-align: unset !important;
    }

    .cuamm-cart-page-wrapper .cuamm-mob-thumb.hide-on-desktop img{
        width: auto;
        max-width: 100px;
    }

    .cuamm-cart-page-wrapper table.cart thead {
        display: none;
    }

    .cuamm-cart-page-wrapper table.cart .product-quantity input.qty{
        width: 20px;
    }

    .cuamm-cart-page-wrapper table.cart tr.cart_item {
        display: block;
        padding-bottom: 24px;
        position: relative;
        border-bottom: 1px solid var(--color-neutral-beige-dark);
    }

    .cuamm-cart-page-wrapper table.cart tr.cart-extra-offers-row td::before{
        content: none;
    }

    .cuamm-cart-page-wrapper table.cart td {
        display: block;
        text-align: right;
        padding: 5px 0;
        border: none;
    }

    .woocommerce table.shop_table_responsive tr:nth-child(2n) td, .woocommerce-page table.shop_table_responsive tr:nth-child(2n) td{
        background-color: unset;
    }
    
    .woocommerce table.shop_table_responsive tr td::before, .woocommerce-page table.shop_table_responsive tr td::before{
        font-family: var(--typo-title-1-font);
        font-size: var(--typo-title-1-size);
        font-weight: var(--typo-title-1-fw);
        line-height: var(--typo-title-1-lh);
        letter-spacing: var(--typo-title-1-ls);
        color: var(--color-primary);
        text-transform: uppercase;
        width: 50%;
    }

    .cuamm-cart-page-wrapper table.cart .product-thumbnail {
        display: block;
        text-align: center;
        width: 100%;
    }
    .cuamm-cart-page-wrapper table.cart .product-thumbnail::before { content: none; }
    
    .cuamm-cart-page-wrapper table.cart .product-remove {
        position: absolute;
        top: -2px;
        right: 10px;
        width: auto;
    }
    .cuamm-cart-page-wrapper table.cart .product-remove::before { content: none; }

    .cart-extra-offers-container {
        flex-direction: column;
        gap: 24px;
        padding: 24px 0;
        border-top: 0;
        width: 100%;
    }

    .cart-extra-offers-container .offer-title{
        text-align: center;
    }
    
    .cart-extra-offers-container .offer-block.donation .don-input-wrapper{
       padding-left: 2px;
       padding-right: 10px;
    }
 
    .cart-extra-offers-container .offer-block{
        text-align: left;
        display: flex;
        flex-direction: column;
    }

    .cuamm-cart-page-wrapper .cart-extra-offers-container .offer-flex{
        gap: 24px;
        display: flex;
        flex-direction: column;
        padding-bottom: 24px;
        border-bottom: 1px solid var(--color-neutral-beige-dark);
    }

    .cuamm-cart-page-wrapper table.cart td.actions:has(.container-coupon-update-cart){
        padding: 0 0 24px;
        border-top: 0;
        display: flex;
        flex-direction: column;
    }

    .cuamm-cart-page-wrapper table.cart td.actions .coupon button.button{
        width: 100%;
    }

    .cuamm-cart-page-wrapper table.cart td.actions .disclaimer-coupon{
        text-align: center;
        padding-bottom: 40px;
    }

    .cuamm-cart-page-wrapper table.cart td.actions{
        padding: 10px;
    }

    .cuamm-cart-page-wrapper table.cart td.actions .container-coupon-update-cart{
       flex-direction: column;
       gap: 17px;
       align-items: start;
    }

    .cuamm-cart-page-wrapper table.cart td.actions .coupon {
        float: none;
        flex-direction: column;
        width: 100%;
        align-items: start;
        padding: 0;
    }

    .cuamm-cart-page-wrapper table.cart td.actions .coupon::before,.cuamm-cart-page-wrapper table.cart td.actions .coupon::after  {
        content: none;
    }

    .cuamm-cart-page-wrapper table.cart td.actions .coupon input,
    .cuamm-cart-page-wrapper table.cart td.actions .coupon button,
    .cuamm-cart-page-wrapper .cart-extra-offers-container .offer-btn-beige {
        width: 100%;
    }


    .cuamm-cart-page-wrapper table.cart td.actions button[name="update_cart"]{
        width: 100%;
        margin-bottom: 0;
    }
    
    .cuamm-cart-page-wrapper .cart-collaterals .cart_totals {
        padding: 10px;
    }

    .cuamm-cart-page-wrapper .cart-collaterals{
        justify-content: start;
    }

    .cuamm-cart-page-wrapper .cart-collaterals::before,.cuamm-cart-page-wrapper .cart-collaterals::after{
        content: none;
    }

    .cuamm-cart-page-wrapper .cart-collaterals .cart_totals{
        width: 100%;
        padding: 24px 40px;
    }

    .cuamm-cart-page-wrapper .cart-collaterals .cart_totals table.shop_table .woocommerce-shipping-totals.shipping td{
        display: flex;
        flex-direction: column;
        align-items: start;
        background: transparent;
    }

    .cuamm-cart-page-wrapper .cart-collaterals .cart_totals table.shop_table .woocommerce-shipping-totals.shipping td ul#shipping_method{
        display: flex;
        flex-direction: column;
        align-items: start;
        padding-top: 20px;
    }

    .cart-collaterals .cart_totals .wc-proceed-to-checkout{
        flex-direction: column;
        gap: 20px;
        padding-top: 10px;
    }

    .cart-collaterals .cart_totals .wc-proceed-to-checkout a{
        text-align: center;
    }

    .cart-collaterals .cart_totals .wc-proceed-to-checkout .cuamm-primary-checkout-actions{
        flex-direction: column;
        gap: 30px;
    }
}